function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
import React, { forwardRef, useRef } from "react";
import { Form } from "antd";
import Input from "../../../../../input";
import { useClickAway } from "ahooks";
var Edit = function Edit(props, ref) {
  var value = props.value,
    _onChange = props.onChange,
    onPressEnter = props.onPressEnter,
    onBlur = props.onBlur,
    style = props.style,
    bordered = props.bordered;
  var content = value.content,
    url = value.url;
  var wrapRef = useRef(null);
  var mountTime = useRef(new Date().getTime());
  useClickAway(function () {
    var triggerTime = new Date().getTime();
    // 挂载时会触发 这里用时间判断是否是挂载时触发的
    if (triggerTime - mountTime.current < 100) {
      return;
    }
    onBlur();
  }, wrapRef);
  return /*#__PURE__*/React.createElement("div", {
    className: "",
    onClick: function onClick(e) {
      return e.stopPropagation();
    },
    ref: wrapRef
  }, /*#__PURE__*/React.createElement(Form.Item, {
    label: "Default value",
    name: "default_value",
    initialValue: content
  }, /*#__PURE__*/React.createElement(Input, {
    ref: ref,
    onChange: function onChange(e) {
      return _onChange(_objectSpread(_objectSpread({}, value), {}, {
        content: e.target.value
      }));
    }
  })), /*#__PURE__*/React.createElement(Form.Item, {
    label: "Link Url",
    name: "link_url",
    initialValue: url
  }, /*#__PURE__*/React.createElement(Input, {
    onChange: function onChange(e) {
      return _onChange(_objectSpread(_objectSpread({}, value), {}, {
        url: e.target.value
      }));
    }
  })));
};
export default /*#__PURE__*/forwardRef(Edit);